local Cryolysis2 = Cryolysis2
local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

------------------------------------------------------------------------------------------------------
-- Update spell button attributes
------------------------------------------------------------------------------------------------------
function Cryolysis2:UpdateSpellMenu()

	Cryo2BuffMenuButton:SetAttribute("*childraise*", true)
	Cryo2BuffMenuButton:SetAttribute("*childstate*", "^click")
	Cryo2BuffMenu0:SetAttribute("statemap-anchor-click", "0-1")
	Cryo2BuffMenuButton:SetAttribute("anchorchild", Cryo2BuffMenu0)

	local lastBuffAdded = 0
	for i = 1, #(Cryolysis2.Private.HasSpellMenuBuff), 1 do
		local CurrBuffMenu = getglobal(Cryolysis2.Private.BuffMenu[i])
		if Cryolysis2.Private.HasSpellMenuBuff[i] then
			if lastBuffAdded == 0 then
				CurrBuffMenu:ClearAllPoints()
				if Cryolysis2.db.profile.BuffMenuGrowLeft == true then
					CurrBuffMenu:SetPoint("CENTER", "Cryo2BuffMenuButton", "CENTER", -33 + Cryolysis2.db.profile.BuffMenuOfsX, Cryolysis2.db.profile.BuffMenuOfsY)
				else
					CurrBuffMenu:SetPoint("CENTER", "Cryo2BuffMenuButton", "CENTER", 33 + Cryolysis2.db.profile.BuffMenuOfsX, Cryolysis2.db.profile.BuffMenuOfsY)
				end
				CurrBuffMenu:SetAttribute("showstates", "!0,*")
				Cryo2BuffMenu0:SetAttribute("addchild", CurrBuffMenu)
				lastBuffAdded = i
			else
				CurrBuffMenu:ClearAllPoints()
				if Cryolysis2.db.profile.BuffMenuGrowLeft == true then
					CurrBuffMenu:SetPoint("CENTER", "Cryo2BuffMenu"..lastBuffAdded, "CENTER", -33, 0)
				else
					CurrBuffMenu:SetPoint("CENTER", "Cryo2BuffMenu"..lastBuffAdded, "CENTER", 33, 0)
				end
				CurrBuffMenu:SetAttribute("showstates", "!0,*")
				Cryo2BuffMenu0:SetAttribute("addchild", CurrBuffMenu)
				lastBuffAdded = i
			end
		end
	end
	
	Cryolysis2:ShowHideFeatherCount()
	Cryolysis2:ShowHideArcanePowderCount()
	
end
